List all agents (unpaginated)
GET
/agents/allContract
Parameter | Value |
|---|---|
| Section | agents |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
0 parameters
No parameters are required.
Responses
2 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
500 | Internal server error | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": [ { "caps": [ "<string>" ], "cores": 0, "createdAt": "<string>", "hostname": "<string>", "id": 0, "interfaces": [ { "address": "<string>", "deviceId": "<string>", "driver": "<string>", "name": "<string>", "vendor": "<string>" } ], "ip": "<string>", "online": true, "port": 0, "synced": true, "updatedAt": "<string>", "version": "<string>" } ] }{ "data": {}, "error": "<string>" }